## net.sf.jftp.gui.base.dir
Class DirLister

    java.lang.Object
      net.sf.jftp.gui.base.dir.DirLister

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

    public class DirLister

extends java.lang.Object
implements java.awt.event.ActionListener

Field Summary
`boolean` `finished`

Constructor Summary
`DirLister(BasicConnection con)`
`DirLister(BasicConnection con, java.lang.String sortMode)`
`DirLister(BasicConnection con, java.lang.String sortMode, boolean hide)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`java.util.Date[]` `getDates()`
`int` `getLength()`
`int[]` `getPermissions()`
`void` `init()`
`boolean` `isOk()`
`java.lang.String[]` `list()`
`java.lang.String[]` `sList()`
`void` `sortFirst()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### finished

    public boolean finished

Constructor Detail

### DirLister

    public DirLister(BasicConnection con)

### DirLister

    public DirLister(BasicConnection con,
                     java.lang.String sortMode)

### DirLister

    public DirLister(BasicConnection con,
                     java.lang.String sortMode,
                     boolean hide)

Method Detail

### init

    public void init()

### sortFirst

    public void sortFirst()

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### isOk

    public boolean isOk()

### getLength

    public int getLength()

### list

    public java.lang.String[] list()

### sList

    public java.lang.String[] sList()

### getPermissions

    public int[] getPermissions()

### getDates

    public java.util.Date[] getDates()